Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: physiq_mod.F90 3908 2021-05-20 07:11:13Z idelkadi $
-!
+
 !#define IO_DEBUG
 MODULE physiq_mod
@@ -107,19 +107,13 @@
     USE paramLMDZ_phy_mod
 
-
-    !USE cmp_seri_mod
-!    USE add_phys_tend_mod, only : add_pbl_tend, add_phys_tend, diag_phys_tend, prt_enerbil, &
-!  &      fl_ebil, fl_cor_ebil
-
-!!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
-!
-!
-#ifdef CPP_Dust
-    USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
+        USE phytracr_spl_mod, ONLY: phytracr_spl, phytracr_spl_out_init
     USE phys_output_write_spl_mod
-#else
     USE phytrac_mod, ONLY : phytrac_init, phytrac
     USE phys_output_write_mod
-#endif
+
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_DUST
+
+!!!!!!!!!!!!!!!!!! "USE" section for CPP keys !!!!!!!!!!!!!!!!!!!!!!!!
+
 
 #ifdef REPROBUS
@@ -178,6 +172,5 @@
 #endif
 
-!
-!
+
 !!!!!!!!!!!!!!!!!!  END "USE" for CPP keys !!!!!!!!!!!!!!!!!!!!!!
 
@@ -201,5 +194,5 @@
 !       d_t_ajs_w,d_q_ajs_w, &
 !       d_t_ajs_x,d_q_ajs_x, &
-       !
+
        d_t_eva,d_q_eva,d_ql_eva,d_qi_eva, &
        d_qx_eva, &
@@ -208,12 +201,12 @@
        d_t_lscth,d_q_lscth, &
        plul_st,plul_th, &
-       !
+
        d_t_vdf,d_q_vdf, d_qbs_vdf, d_u_vdf,d_v_vdf,d_t_diss, &
        d_t_vdf_x, d_t_vdf_w, &
        d_q_vdf_x, d_q_vdf_w, &
        d_ts, &
-       !
+
        d_t_bsss,d_q_bsss,d_qbs_bsss, &
-       !
+
 !       d_t_oli,d_u_oli,d_v_oli, &
        d_t_oro,d_u_oro,d_v_oro, &
@@ -221,5 +214,5 @@
        d_t_lif,d_u_lif,d_v_lif, &
        d_t_ec, &
-       !
+
        du_gwd_hines,dv_gwd_hines,d_t_hin, &
        dv_gwd_rando,dv_gwd_front, &
@@ -234,5 +227,5 @@
        ZLWFT0_i,ZSWFT0_i,ZFLDN0,  &
        ZFLUP0,ZFSDN0,ZFSUP0,      &
-       !
+
        topswad_aero,solswad_aero,   &
        topswai_aero,solswai_aero,   &
@@ -253,5 +246,5 @@
        toplwai_aero_s2, sollwai_aero_s2,   &
        toplwad0_aero_s2, sollwad0_aero_s2, &
-       !
+
        topsw_aero,solsw_aero,       &
        topsw0_aero,solsw0_aero,     &
@@ -259,5 +252,5 @@
        tausum_aero,tau3d_aero,      &
        drytausum_aero,              &
-       !
+
        !variables CFMIP2/CMIP5
        topswad_aerop, solswad_aerop,   &
@@ -282,9 +275,9 @@
        toplwai_aero_s2, sollwai_aero_s2,   &
        toplwad0_aero_s2, sollwad0_aero_s2, &
-       !
+
        ptstar, pt0, slp, &
-       !
+
        bils, &
-       !
+
        cldh, cldl,cldm, cldq, cldt,      &
        JrNt,                             &
@@ -297,8 +290,8 @@
        zt2m_min_mon, zt2m_max_mon,   &         ! pour calcul_divers.h
        t2m_min_mon, t2m_max_mon,  &            ! pour calcul_divers.h
-       !
+
        s_pblh_x, s_pblh_w, &
        s_lcl_x, s_lcl_w,   &
-       !
+
        slab_wfbils, tpot, tpote,               &
        ue, uq, ve, vq, zxffonte,               &
@@ -309,8 +302,8 @@
        delta_qsurf,                            &
        rain_lsc, rain_num,                     &
-       !
+
        sens_x, sens_w, &
        zxfluxlat_x, zxfluxlat_w, &
-       !
+
        pbl_tke_input, pbl_eps, l_mix, wprime,&
        t_therm, q_therm, u_therm, v_therm, &
@@ -318,5 +311,5 @@
        cdragm_x, cdragm_w, &
        kh, kh_x, kh_w, &
-       !
+
        wake_k, &
        alp_wake, & 
@@ -332,5 +325,5 @@
 !!!       d_s_vdf, d_dens_a_vdf, d_dens_vdf, & ! due to vertical diffusion
 !!!       d_s_the, d_dens_a_the, d_dens_the, & ! due to thermals
-       !                                  
+
        ptconv, ratqsc, &
        wbeff, convoccur, zmax_th, &
@@ -341,5 +334,5 @@
        proba_notrig, random_notrig,  &
 !!       cv_gen,  &  !moved to phys_state_var_mod
-       !
+
        dnwd0,  &
        omega,  &
@@ -361,5 +354,5 @@
        epmlmMm, eplaMm, &
        sij, &
-       !
+
        rneblsvol, &
        pfraclr, pfracld, cldfraliq, sigma2_icefracturb, mean_icefracturb,  &
@@ -375,5 +368,5 @@
        zphi, zx_rh, zx_rhl, zx_rhi,  &
        pmfd, pmfu,  &
-       !
+
        t2m, fluxlat,  &
        fsollw, evap_pot,  &
@@ -381,12 +374,12 @@
        prfl, psfl,bsfl, fraca, Vprecip,  &
        zw2,  &
-       !
+
        fluxu, fluxv,  &
        fluxt,  &
-       !
+
        uwriteSTD, vwriteSTD, &                !pour calcul_STDlev.h
        wwriteSTD, phiwriteSTD, &              !pour calcul_STDlev.h
        qwriteSTD, twriteSTD, rhwriteSTD, &    !pour calcul_STDlev.h
-       ! 
+
        beta_prec,  &
        rneb,  &
@@ -420,5 +413,5 @@
 #endif
 #endif
-       !
+
        USE phys_local_var_mod, ONLY: zfice, dNovrN, ptconv
        USE phys_output_var_mod, ONLY: scdnc, cldncl, reffclwtop, lcc, reffclws, &
@@ -529,21 +522,21 @@
     SAVE ok_journe
     !$OMP THREADPRIVATE(ok_journe)
-    !
+
     LOGICAL ok_mensuel ! sortir le fichier mensuel
     SAVE ok_mensuel
     !$OMP THREADPRIVATE(ok_mensuel)
-    !
+
     LOGICAL ok_instan ! sortir le fichier instantane
     SAVE ok_instan
     !$OMP THREADPRIVATE(ok_instan)
-    !
+
     LOGICAL ok_LES ! sortir le fichier LES 
     SAVE ok_LES                            
     !$OMP THREADPRIVATE(ok_LES)                  
-    !
+
     LOGICAL callstats ! sortir le fichier stats 
     SAVE callstats                            
     !$OMP THREADPRIVATE(callstats)                  
-    !
+
     LOGICAL ok_region ! sortir le fichier regional
     PARAMETER (ok_region=.FALSE.)
@@ -567,5 +560,5 @@
 
     !======================================================================
-    !
+
     ! indices de traceurs eau vapeur, liquide, glace, fraction nuageuse LS (optional), blowing snow (optional)
 !    INTEGER,SAVE :: ivap, iliq, isol, irneb, ibs
@@ -577,8 +570,8 @@
     INTEGER,SAVE :: irneb, ibs
 !$OMP THREADPRIVATE(irneb, ibs)
-!
-    !
+
+
     ! Variables argument:
-    !
+
     INTEGER nlon
     INTEGER nlev
@@ -634,19 +627,19 @@
 
     ! variables a une pression donnee
-    !
+
     include "declare_STDlev.h"
-    !
-    !
+
+
     include "radepsi.h"
     include "radopt.h"
-    !
-    !
+
+
     INTEGER n
     !ym      INTEGER npoints
     !ym      PARAMETER(npoints=klon) 
-    !
+
     INTEGER nregISCtot
     PARAMETER(nregISCtot=1) 
-    !
+
     ! imin_debut, nbpti, jmin_debut, nbptj : parametres pour sorties
     ! sur 1 region rectangulaire y compris pour 1 point
@@ -661,5 +654,5 @@
     PARAMETER(region='3d')
     LOGICAL ok_hf
-    !
+
     SAVE ok_hf
     !$OMP THREADPRIVATE(ok_hf)
@@ -668,5 +661,5 @@
     REAL, SAVE :: clesphy0(longcles)
     !$OMP THREADPRIVATE(clesphy0)
-    !
+
     ! Variables propres a la physique
     INTEGER, SAVE :: itap         ! compteur pour la physique
@@ -675,16 +668,15 @@
     INTEGER, SAVE :: abortphy=0   ! Reprere si on doit arreter en fin de phys
     !$OMP THREADPRIVATE(abortphy)
-    !
+
     REAL,SAVE ::  solarlong0
     !$OMP THREADPRIVATE(solarlong0)
 
-    !
     !  Parametres de l'Orographie a l'Echelle Sous-Maille (OESM):
-    !
+
     !IM 141004     REAL zulow(klon),zvlow(klon),zustr(klon), zvstr(klon)
     REAL zulow(klon),zvlow(klon)
-    !
+
     INTEGER igwd,idx(klon),itest(klon)
-    !
+
     !      REAL,allocatable,save :: run_off_lic_0(:)
     ! !$OMP THREADPRIVATE(run_off_lic_0)
@@ -692,10 +684,10 @@
     !KE43
     ! Variables liees a la convection de K. Emanuel (sb):
-    !
+
     REAL, SAVE :: bas, top             ! cloud base and top levels
     !$OMP THREADPRIVATE(bas, top)
     !------------------------------------------------------------------
     ! Upmost level reached by deep convection and related variable (jyg)
-    !
+
 !    INTEGER izero
     INTEGER k_upper_cv
@@ -705,5 +697,5 @@
     SAVE Ncvpaseq1
     !$OMP THREADPRIVATE(Ncvpaseq1)
-    !
+
     !==========================================================================
     !CR04.12.07: on ajoute les nouvelles variables du nouveau schema
@@ -713,10 +705,10 @@
 !!    REAL mipsh(klon,klev)  ! mass flux shed by the adiab ascent at each level
 !!      Moved to phys_state_var_mod
-    !
+
     REAL wape_prescr, fip_prescr
     INTEGER it_wape_prescr
     SAVE wape_prescr, fip_prescr, it_wape_prescr
     !$OMP THREADPRIVATE(wape_prescr, fip_prescr, it_wape_prescr)
-    !
+
     ! variables supplementaires de concvl
     REAL Tconv(klon,klev)
@@ -764,7 +756,7 @@
     REAL wake_dp_deltomg(klon,klev) ! Wake : gradient vertical de wake_omg
     REAL wake_spread(klon,klev)     ! spreading term in wake_delt
-    !
+
     !pourquoi y'a pas de save??
-    !
+
 !!!    INTEGER, SAVE, DIMENSION(klon)   :: wake_k
 !!!    !$OMP THREADPRIVATE(wake_k) 
@@ -773,5 +765,5 @@
     REAL xt_w(ntraciso,klon,klev)
 #endif
-    !
+
     !jyg<
     !cc      REAL wake_pe(klon)              ! Wake potential energy - WAPE 
@@ -781,6 +773,6 @@
     REAL wake_gfl(klon)             ! Gust Front Length
 !!!    REAL wake_dens(klon)         ! moved to phys_state_var_mod
-    !
-    !
+
+
     REAL dt_dwn(klon,klev)
     REAL dq_dwn(klon,klev)
@@ -808,6 +800,5 @@
     REAL d_xt_adjwk(ntraciso,klon,klev)
 #endif
-  
-    !
+
     !RR:fin declarations poches froides
     !==========================================================================
@@ -858,11 +849,11 @@
 
     ! Variables locales pour la couche limite (al1):
-    !
+
     !Al1      REAL pblh(klon)           ! Hauteur de couche limite
     !Al1      SAVE pblh
     !34EK
-    !
+
     ! Variables locales:
-    !
+
     !AA
     !AA  Pour phytrac 
@@ -881,5 +872,5 @@
     !IM cf FH pour Tiedtke 080604
     REAL rain_tiedtke(klon),snow_tiedtke(klon)
-    !
+
     !IM 050204 END
     REAL devap(klon) ! evaporation et sa derivee
@@ -888,8 +879,8 @@
     REAL dxtevap(ntraciso,klon) 
 #endif
-    !
+
     ! Conditions aux limites
-    !
-    !
+
+
     REAL :: day_since_equinox
     ! Date de l'equinoxe de printemps
@@ -899,5 +890,4 @@
     LOGICAL, parameter :: new_orbit = .TRUE.
 
-    !
     INTEGER lmt_pas
     SAVE lmt_pas                ! frequence de mise a jour
@@ -914,7 +904,7 @@
     !$OMP THREADPRIVATE(itapm1)
     !======================================================================
-    !
+
     ! Declaration des procedures appelees
-    !
+
     EXTERNAL angle     ! calculer angle zenithal du soleil
     EXTERNAL alboc     ! calculer l'albedo sur ocean
@@ -937,19 +927,19 @@
     ! moyenne globale d'1 var ponderee par l'aire de la maille (moyglo_pondaire)
     ! par la masse/airetot (moyglo_pondaima) et la vraie masse (moyglo_pondmass)
-    !
-    !
+
+
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Local variables
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    !
+
 !    REAL rhcl(klon,klev)    ! humiditi relative ciel clair
     REAL dialiq(klon,klev)  ! eau liquide nuageuse
     REAL diafra(klon,klev)  ! fraction nuageuse
     REAL radocond(klon,klev)  ! eau condensee nuageuse
-    !
+
     !XXX PB 
     REAL fluxq(klon,klev, nbsrf)   ! flux turbulent d'humidite
     REAL fluxqbs(klon,klev, nbsrf)   ! flux turbulent de neige soufflee
-    !
+
     !FC    REAL zxfluxt(klon, klev)
     !FC    REAL zxfluxq(klon, klev)
@@ -967,26 +957,26 @@
     !ym      SAVE  sollwdownclr, toplwdown, toplwdownclr
     !ym      SAVE  topsw0,toplw0,solsw0,sollw0, heat0, cool0
-    !
+
     INTEGER itaprad
     SAVE itaprad
     !$OMP THREADPRIVATE(itaprad)
-    !
+
     REAL conv_q(klon,klev) ! convergence de l'humidite (kg/kg/s)
     REAL conv_t(klon,klev) ! convergence de la temperature(K/s)
-    !
+
     REAL zsav_tsol(klon)
-    !
+
     REAL dist, rmu0(klon), fract(klon)
     REAL zrmu0(klon), zfract(klon)
     REAL zdtime, zdtime1, zdtime2, zlongi
-    !
+
     REAL qcheck
     REAL z_avant(klon), z_apres(klon), z_factor(klon)
     LOGICAL zx_ajustq
-    !
+
     REAL za
     REAL zx_t, zx_qs, zdelta, zcor
     real zqsat(klon,klev)
-    !
+
     INTEGER i, k, iq, nsrf, l, itr
 #ifdef ISO
@@ -997,5 +987,5 @@
     real wake_deltaq_prec(klon,klev)  
 #endif
-    !
+
     REAL t_coup
     PARAMETER (t_coup=234.0)
@@ -1004,5 +994,5 @@
     !ym      REAL zx_relief(iim,jjmp1)
     !ym      REAL zx_aire(iim,jjmp1)
-    !
+
     ! Grandeurs de sorties
     REAL s_capCL(klon)
@@ -1016,5 +1006,5 @@
     !ym      SAVE  
     !ym      SAVE  
-    !
+
     INTEGER itapcv, itapwk
     SAVE itapcv, itapwk
@@ -1039,7 +1029,7 @@
     ! --
     !34EK
-    !
+
     ! Variables du changement
-    !
+
     ! con: convection
     ! lsc: condensation a grande echelle (Large-Scale-Condensation)
@@ -1047,5 +1037,5 @@
     ! eva: evaporation de l'eau liquide nuageuse
     ! vdf: couche limite (Vertical DiFfusion)
-    !
+
     ! tendance nulles
     REAL, dimension(klon,klev):: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
@@ -1060,5 +1050,5 @@
     REAL, DIMENSION(ntraciso,klon,klev)  :: d_xt_ch4_dtime
 #endif
-    !
+
     ! Flag pour pouvoir ne pas ajouter les tendances. 
     ! Par defaut, les tendances doivente etre ajoutees et
@@ -1069,10 +1059,10 @@
     INTEGER :: flag_inhib_tend = 0 !  0 is the default value
 !!    INTEGER :: flag_inhib_tend = 2
-    !
+
     ! Logical switch to a bug : reseting to 0 convective variables at the 
     ! begining of physiq.
     LOGICAL, SAVE :: ok_bug_cv_trac = .TRUE.
     !$OMP THREADPRIVATE(ok_bug_cv_trac)
-    !
+
     ! Logical switch to a bug : changing wake_deltat when thermals are active
     ! even when there are no wakes.
@@ -1084,5 +1074,5 @@
     LOGICAL, SAVE :: ok_bug_ajs_cv = .TRUE.
     !$OMP THREADPRIVATE(ok_bug_ajs_cv)
-    !
+
     !********************************************************
     !     declarations
@@ -1090,9 +1080,9 @@
     !********************************************************
     !IM 081204 END
-    !
+
     REAL pen_u(klon,klev), pen_d(klon,klev)
     REAL pde_u(klon,klev), pde_d(klon,klev)
     INTEGER kcbot(klon), kctop(klon), kdtop(klon)
-    !
+
     REAL ratqsbas,ratqshaut,tau_ratqs
     SAVE ratqsbas,ratqshaut,tau_ratqs
@@ -1117,15 +1107,15 @@
     REAL zrel_oro(klon)
     !IM cf. AM 081204 END
-    !
+
     ! Variables liees a l'ecriture de la bande histoire physique
-    !
+
     !======================================================================
-    !
-    !
+
+
 !JLD    integer itau_w   ! pas de temps ecriture = itap + itau_phy
-    !
-    !
+
+
     ! Variables locales pour effectuer les appels en serie
-    !
+
     !IM RH a 2m (la surface)
     REAL Lheat
@@ -1134,8 +1124,8 @@
     PARAMETER    ( length = 100 )
     REAL tabcntr0( length       )
-    !
+
 !JLD    INTEGER ndex2d(nbp_lon*nbp_lat)
     !IM
-    !
+
     !IM AMIP2 BEG
 !JLD    REAL moyglo, mountor
@@ -1158,5 +1148,5 @@
     !ym      REAL zm_wo(jjmp1, klev)
     !IM AMIP2 END
-    !
+
     REAL zx_tmp_fi2d(klon)      ! variable temporaire grille physique
     REAL zx_tmp_fi3d(klon,klev) ! variable temporaire pour champs 3D 
@@ -1164,19 +1154,19 @@
 !JLD    REAL zx_lon(nbp_lon,nbp_lat)
 !JLD    REAL zx_lat(nbp_lon,nbp_lat)
-    !
+
     INTEGER nid_ctesGCM
     SAVE nid_ctesGCM
     !$OMP THREADPRIVATE(nid_ctesGCM)
-    !
+
     !IM 280405 BEG
     !  INTEGER nid_bilKPins, nid_bilKPave
     !  SAVE nid_bilKPins, nid_bilKPave
     !  !$OMP THREADPRIVATE(nid_bilKPins, nid_bilKPave)
-    !
+
     REAL ve_lay(klon,klev) ! transport meri. de l'energie a chaque niveau vert.
     REAL vq_lay(klon,klev) ! transport meri. de l'eau a chaque niveau vert.
     REAL ue_lay(klon,klev) ! transport zonal de l'energie a chaque niveau vert.
     REAL uq_lay(klon,klev) ! transport zonal de l'eau a chaque niveau vert.
-    !
+
 !JLD    REAL zjulian
 !JLD    SAVE zjulian
@@ -1240,9 +1230,9 @@
     LOGICAL, SAVE :: flag_bc_internal_mixture
     !$OMP THREADPRIVATE(flag_bc_internal_mixture)
-    !
+
     !--STRAT AEROSOL
     INTEGER, SAVE :: flag_aerosol_strat
     !$OMP THREADPRIVATE(flag_aerosol_strat)
-    !
+
     !--INTERACTIVE AEROSOL FEEDBACK ON RADIATION
     LOGICAL, SAVE :: flag_aer_feedback
@@ -1250,7 +1240,7 @@
 
     !c-fin STRAT AEROSOL
-    !
+
     ! Declaration des constantes et des fonctions thermodynamiques
-    !
+
     LOGICAL,SAVE :: first=.TRUE.
     !$OMP THREADPRIVATE(first)
@@ -1284,5 +1274,5 @@
     include "compbl.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
-    !
+
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     ! Declarations pour Simulateur COSP
@@ -1344,5 +1334,5 @@
     REAL, SAVE :: betalwoff 
     !$OMP THREADPRIVATE(betalwoff)
-!
+
     INTEGER :: nbtr_tmp ! Number of tracer inside concvl
     REAL, dimension(klon,klev) :: sh_in ! Specific humidity entering in phytrac
@@ -1417,5 +1407,5 @@
     !======================================================================
     ! Gestion calendrier : mise a jour du module phys_cal_mod
-    !
+
     pdtphys=pdtphys_
     CALL update_time(pdtphys)
@@ -1475,5 +1465,5 @@
        WRITE(lunout,*) '================================================='
        CALL phys_local_var_init
-       !
+
        !     appel a la lecture du run.def physique
        CALL conf_phys(ok_journe, ok_mensuel, &
@@ -1510,5 +1500,5 @@
 
        print*, '================================================='
-       !
+
        !CR: check sur le nb de traceurs de l eau
        IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
@@ -1629,10 +1619,10 @@
        iflag_phytrac = 1 ! by default we do want to call phytrac
        CALL getin_p('iflag_phytrac',iflag_phytrac)
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
        IF (iflag_phytrac.EQ.0) THEN 
          WRITE(lunout,*) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
          iflag_phytrac = 1
        ENDIF
-#endif
+END IF
        nvm_lmdz = 13
        CALL getin_p('NVM',nvm_lmdz)
@@ -1672,11 +1662,10 @@
     !======================================================================
     ! Gestion calendrier : mise a jour du module phys_cal_mod
-    !
+
     !     CALL phys_cal_update(jD_cur,jH_cur)
 
-    !
     ! Si c'est le debut, il faut initialiser plusieurs choses
     !          ********
-    !
+
     IF (debut) THEN
        !rv CRinitialisation de wght_th et lalim_conv pour la
@@ -1732,17 +1721,16 @@
        clwcon(:,:) = 0.0
 
-       !
        print*,'iflag_coupl,iflag_clos,iflag_wake', &
             iflag_coupl,iflag_clos,iflag_wake
        print*,'iflag_cycle_diurne', iflag_cycle_diurne
-       !
+
        IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
           abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
           CALL abort_physic (modname,abort_message,1)
        ENDIF
-       !
-       !
+
+
        ! Initialiser les compteurs:
-       !
+
        itap    = 0
        itaprad = 0
@@ -1864,5 +1852,4 @@
              ENDIF
 
-             !
              ALLOCATE(tabCFMIP(nCFMIP))
              ALLOCATE(lonCFMIP(nCFMIP), latCFMIP(nCFMIP))
@@ -1870,11 +1857,11 @@
              ALLOCATE(lonGCM(nCFMIP), latGCM(nCFMIP))
              ALLOCATE(iGCM(nCFMIP), jGCM(nCFMIP))
-             !
+
              ! lecture des nCFMIP stations CFMIP, de leur numero 
              ! et des coordonnees geographiques lonCFMIP, latCFMIP
-             !
+
              CALL read_CFMIP_point_locations(nCFMIP, tabCFMIP,  &
                   lonCFMIP, latCFMIP)
-             !
+
              ! identification des
              ! 1) coordonnees lonGCM, latGCM des points CFMIP dans la
@@ -1883,8 +1870,8 @@
              ! klon points
              ! 3) indices iGCM, jGCM de la grille physique 2d
-             !
+
              CALL LMDZ_CFMIP_point_locations(nCFMIP, lonCFMIP, latCFMIP, &
                   tabijGCM, lonGCM, latGCM, iGCM, jGCM)
-             !
+
           ELSE
              ALLOCATE(tabijGCM(0))
@@ -1932,5 +1919,4 @@
        date0 = jD_ref 
        WRITE(*,*) 'physiq date0 : ',date0
-       !
 
 !       CALL create_climoz(read_climoz)
@@ -1996,6 +1982,5 @@
       ENDIF
 
-       !
-       !
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        ! Nouvelle initialisation pour le rayonnement RRTM
@@ -2038,11 +2023,10 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-       !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        ! Initialisation des champs dans phytrac* qui sont utilises par phys_output_write*
-       !
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
        ! Quand on utilise SPLA, on force iflag_phytrac=1
        CALL phytracr_spl_out_init()
@@ -2053,5 +2037,5 @@
                                 ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
                                 flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
        ! phys_output_write écrit des variables traceurs seulement si iflag_phytrac == 1 
        ! donc seulement dans ce cas on doit appeler phytrac_init()
@@ -2065,5 +2049,5 @@
                               ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
                               flag_aerosol, flag_aerosol_strat, ok_cdnc, t, u1, v1)
-#endif
+END IF
 
 
@@ -2106,7 +2090,7 @@
 
        ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-       !
+
        ! on remet le calendrier a zero
-       !
+
        IF (raz_date == 1) THEN
           itau_phy = 0
@@ -2132,5 +2116,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        IF (phys_tstep*REAL(radpas)>21600..AND.iflag_cycle_diurne>=1) THEN
           WRITE(lunout,*)'Nbre d appels au rayonnement insuffisant'
@@ -2142,10 +2126,10 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
        ! Initialisation pour la convection de K.E. et pour les poches froides
-       !
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
        WRITE(lunout,*)"Clef pour la convection, iflag_con=", iflag_con
        WRITE(lunout,*)"Clef pour le driver de la convection, ok_cvl=", ok_cvl
-       !
+
        !KE43
        ! Initialisation pour la convection de K.E. (sb):
@@ -2178,5 +2162,5 @@
              ! 11/09/06 rajout initialisation ALE et ALP du wake et PBL(YU)
              !        print*,'apres ini_wake iflag_cld_th=', iflag_cld_th
-             !
+
              ! Initialize tendencies of wake state variables (for some flag values
              ! they are not computed).
@@ -2211,5 +2195,5 @@
        !   ALLOCATE(iGCM(0), jGCM(0))
        ENDIF  !  (iflag_con.GE.3)
-       !
+
        DO i=1,klon
           rugoro(i) = f_rugoro * MAX(1.0e-05, zstd(i)*zsig(i)/2.0)
@@ -2243,10 +2227,10 @@
           ENDDO
        ENDIF
-       !
-       !
+
+
        lmt_pas = NINT(86400./phys_tstep * 1.0)   ! tous les jours
        WRITE(lunout,*)'La frequence de lecture surface est de ',  &
             lmt_pas
-       !
+
        capemaxcels = 't_max(X)'
        t2mincels = 't_min(X)'
@@ -2257,5 +2241,5 @@
        write(lunout,*)'AVANT HIST IFLAG_CON=',iflag_con
        !IM cf. AM 081204 END
-       !
+
        !=============================================================
        !   Initialisation des sorties
@@ -2274,5 +2258,5 @@
          IF (is_omp_master) CALL xios_get_field_attr("temp",default_value=missing_val)
          CALL bcast_omp(missing_val)
-       ! 
+
        ! Now we activate some double radiation call flags only if some
        ! diagnostics are requested, otherwise there is no point in doing this
@@ -2299,5 +2283,5 @@
              IF (xios_field_is_active("dryod550_"//name_aero_tau(naero))) dryaod_diag=.TRUE. 
            ENDDO
-           !
+
           !--setting up ok_4xCO2atm to TRUE in XIOS case 
            IF (xios_field_is_active("rsut4co2").OR.xios_field_is_active("rlut4co2").OR. & 
@@ -2315,11 +2299,11 @@
            CALL bcast(ok_4xCO2atm)
          ENDIF !using_xios
-       !
+
        CALL printflag( tabcntr0,radpas,ok_journe, &
             ok_instan, ok_region )
-       !
-       !
+
+
        ! Prescrire l'ozone dans l'atmosphere
-       !
+
        !c         DO i = 1, klon
        !c         DO k = 1, klev
@@ -2327,5 +2311,5 @@
        !c         ENDDO
        !c         ENDDO
-       !
+
        IF (ANY(type_trac == ['inca','inco'])) THEN ! ModThL
 IF (CPPKEY_INCA) THEN
@@ -2402,6 +2386,4 @@
           piz_aero(:,:,:,:) = init_pizinca
           cg_aero(:,:,:,:) = init_cginca
-!          
-
 
           CALL VTe(VTinca)
@@ -2409,5 +2391,5 @@
 END IF
        ENDIF
-       !
+
        IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
@@ -2429,5 +2411,5 @@
            press_edg_climoz, time_climoz, ok_daily_climoz, adjust_tropopause)
        !$omp end single
-       !
+
        !IM betaCRF
        pfree=70000. !Pa
@@ -2489,5 +2471,5 @@
       ENDIF
       WRITE(*,*)'ok_lwoff=',ok_lwoff
-      ! 
+
       !lwoff=y to begin only sollw and sollwdown are set up to CS values
       sollw = sollw + betalwoff * (sollw0 - sollw)
@@ -2498,10 +2480,10 @@
 
     ENDIF
-    !
+
     !   ****************     Fin  de   IF ( debut  )   ***************
-    !
-    !
+
+
     ! Incrementer le compteur de la physique
-    !
+
     itap   = itap + 1
     IF (is_master .OR. prt_level > 9) THEN
@@ -2512,10 +2494,10 @@
       ENDIF
     ENDIF
-    !
-    !
+
+
     ! Update fraction of the sub-surfaces (pctsrf) and 
     ! initialize, where a new fraction has appeared, all variables depending 
     ! on the surface fraction.
-    !
+
     CALL change_srf_frac(itap, phys_tstep, days_elapsed+1,  &
          pctsrf, fevap, z0m, z0h, agesno,              &
@@ -2552,7 +2534,7 @@
     ddens0(:) = 0.
     wkoccur1(:)=1
-    !
+
     ! Mettre a zero des variables de sortie (pour securite)
-    !
+
     DO i = 1, klon
        d_ps(i) = 0.0
@@ -2574,5 +2556,5 @@
     beta_prec_fisrt(:,:)=0.
     beta_prec(:,:)=0.
-    !
+
     !   Output variables from the convective scheme should not be set to 0 
     !   since convection is not always called at every time step.
@@ -2591,7 +2573,7 @@
       ! RomP <<<
     ENDIF
-    !
+
     ! Ne pas affecter les valeurs entrees de u, v, h, et q
-    !
+
     DO k = 1, klev
        DO i = 1, klon
@@ -2655,5 +2637,5 @@
 #endif
 ! #ifdef ISO
-    !
+
     !--OB mass fixer 
     IF (mass_fixer) THEN
@@ -2703,5 +2685,5 @@
        tr_seri(:,:,strIdx(tracers(:)%name,addPhase('H2O','g'))) = 0.0
     ENDIF
-!
+
 ! Temporary solutions adressing ticket #104 and the non initialisation of tr_ancien
 ! LF
@@ -2715,5 +2697,5 @@
        enddo
     ENDIF
-    !
+
     DO i = 1, klon
        ztsol(i) = 0.
@@ -2773,7 +2755,7 @@
 #endif
 #endif
-    !
+
     IF (ancien_ok) THEN
-    !
+
        d_u_dyn(:,:)  = (u_seri(:,:)-u_ancien(:,:))/phys_tstep
        d_v_dyn(:,:)  = (v_seri(:,:)-v_ancien(:,:))/phys_tstep
@@ -2910,7 +2892,7 @@
 #endif
     ENDIF
-    !
+
     ! Ajouter le geopotentiel du sol:
-    !
+
     DO k = 1, klev
        DO i = 1, klon
@@ -2918,7 +2900,7 @@
        ENDDO
     ENDDO
-    !
+
     ! Verifier les temperatures
-    !
+
     !IM BEG
     IF (check) THEN
@@ -2929,13 +2911,12 @@
           amx=MAX(ftsol(i,is_ter),amx)
        ENDDO
-       !
+
        PRINT*,' debut avant hgardfou min max ftsol',itap,amn,amx
     ENDIF !(check) THEN
     !IM END
-    !
+
     CALL hgardfou(t_seri,ftsol,'debutphy',abortphy)
     IF (abortphy==1) Print*,'ERROR ABORT hgardfou debutphy'
 
-    !
     !IM BEG
     IF (check) THEN
@@ -2946,12 +2927,12 @@
           amx=MAX(ftsol(i,is_ter),amx)
        ENDDO
-       !
+
        PRINT*,' debut apres hgardfou min max ftsol',itap,amn,amx
     ENDIF !(check) THEN
     !IM END
-    !
+
     ! Mettre en action les conditions aux limites (albedo, sst, etc.).
     ! Prescrire l'ozone et calculer l'albedo sur l'ocean.
-    !
+
     ! Update ozone if day change
     IF (MOD(itap-1,lmt_pas) == 0) THEN
@@ -2983,5 +2964,5 @@
              B=Z2-fac*alog(pplay(i,itroprep(i)))
              ttrop(i)= fac*alog(ptrop(i))+B
-!
+
              Z1= 1.e-3 * ( pphi(i,itroprep(i)+1)+pphis(i) ) / gravit
              Z2= 1.e-3 * ( pphi(i,itroprep(i))  +pphis(i) ) / gravit
@@ -3029,7 +3010,7 @@
 #endif
 #endif
-    !
+
     ! Re-evaporer l'eau liquide nuageuse
-    !
+
      CALL reevap (klon,klev,iflag_ice_thermo,t_seri,qx_seri, &
              d_t_eva,d_qx_eva)
@@ -3099,5 +3080,5 @@
     CALL ymds2ju(year_cur, mth_eq, day_eq,0., jD_eq)
     day_since_equinox = (jD_cur + jH_cur) - jD_eq
-    !
+
     !   choix entre calcul de la longitude solaire vraie ou valeur fixee a 
     !   solarlong0
@@ -3165,7 +3146,7 @@
           CALL zenang(zlongi,jH_cur,zdtime1,zdtime2, &
                latitude_deg,longitude_deg,rmu0,fract)
-          !
+
           ! Calcul des poids
-          !
+
           zdtime1=-phys_tstep !--on corrige le rayonnement pour representer le
           zdtime2=0.0    !--pas de temps de la physique qui se termine
@@ -3193,5 +3174,5 @@
     ! Cela implique tous les interactions des sous-surfaces et la
     ! partie diffusion turbulent du couche limit.
-    ! 
+
     ! Certains varibales de sorties de pbl_surface sont utiliser que pour 
     ! ecriture des fihiers hist_XXXX.nc, ces sont :
@@ -3205,8 +3186,7 @@
     !   d_ts,      fevap,     fluxlat, t2m,
     !   wfbils,    fluxt,   fluxu, fluxv,
-    !
+
     ! Certains ne sont pas utiliser du tout : 
     !   dsens, devap, zxsnow, zxfluxt, zxfluxq, q2m, fluxq
-    !
 
     ! Calcul de l'humidite de saturation au niveau du sol
@@ -3248,5 +3228,5 @@
        ! !!
        !>jyg+nrlmd
-       !
+
        !-------gustiness calculation-------!
        !ym : Warning gustiness non inialized for iflag_gusts=2 & iflag_gusts=3
@@ -3415,5 +3395,5 @@
 #endif 
 !#ifdef ISO
-       !
+
        !  Add turbulent diffusion tendency to the wake difference variables
 !!jyg       IF (mod(iflag_pbl_split,2) .NE. 0) THEN
@@ -3560,7 +3540,7 @@
        write(lunout,'(i4,f15.4)') (k,1000.*zqsat(igout,k),k=1,klev)
     ENDIF
-    !
+
     ! Appeler la convection (au choix)
-    !
+
     DO k = 1, klev
        DO i = 1, klon
@@ -3598,7 +3578,7 @@
     IF (prt_level>=1) write(lunout,*) 'omega(igout, :) = ', &
          omega(igout, :)
-    !
+
     ! Appel de la convection tous les "cvpas"
-    !
+
 !!jyg    IF (MOD(itapcv,cvpas).EQ.0) THEN
 !!    print *,' physiq : itapcv, cvpas, itap-1, cvpas_0 ', &
@@ -3606,7 +3586,6 @@
     IF (MOD(itapcv,cvpas)==0 .OR. MOD(itap-1,cvpas_0)==0) THEN
 
-    !
     ! Mettre a zero des variables de sortie (pour securite)
-    !
+
     pmflxr(:,:) = 0.
     pmflxs(:,:) = 0.
@@ -3636,5 +3615,5 @@
     xtwdtrainA(:,:,:) = 0.
 #endif
-    !
+
     IF (iflag_con==1) THEN
        abort_message ='reactiver le call conlmd dans physiq.F'
@@ -3783,5 +3762,5 @@
         endif ! if (iso_eau.gt.0) then
 #endif
-       !
+
        !jyg<
        ! Perform dry adiabatic adjustment on wake profile
@@ -3797,5 +3776,5 @@
 #endif         
          )
-             !
+
              DO k=1,klev
                 DO i=1,klon
@@ -3833,6 +3812,5 @@
        ENDIF ! (iflag_wake>=1)
        !>jyg
-       !
-        
+
 !!      print *,'physiq. q_w(1,k), q_x(1,k) ', &
 !!             (k, q_w(1,k), q_x(1,k),k=1,25)
@@ -3846,12 +3824,11 @@
                     Ale, Alp , Ale_wake, Alp_wake)
 !>jyg
-!
+
        ! sb, oct02:
        ! Schema de convection modularise et vectorise:
        ! (driver commun aux versions 3 et 4)
-       !
+
        IF (ok_cvl) THEN ! new driver for convectL
-          !
-        
+
 #ifdef ISO
 #ifdef ISOVERIF
@@ -3955,5 +3932,5 @@
                   k_upper_cv
           ENDIF
-          !
+
           !>jyg
           IF (type_trac == 'repr') THEN
@@ -4034,5 +4011,5 @@
           pmfu(:,:)=upwd(:,:)+dnwd(:,:)
           fm_cv(:,:)=upwd(:,:)+dnwd(:,:)+dnwd0(:,:)
-          !
+
           !jyg<
           ! If convective tendencies are too large, then call convection 
@@ -4048,5 +4025,5 @@
              ENDDO
           ENDDO
-!
+
           DO k=1,k_upper_cv
              DO i=1,klon
